<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

if (isset($_POST['type']) || isset($_GET['type'])){
		require_once "db_connect.php";

		if( isset($_GET['type']) && ($_GET['type'] == "load")){
			
			// show All products for specific category
			$cond = isset($_GET['id'])? ' AND E.expenses_group_id_fk='.$_GET['id']:'';
			$table  =  '(
				SELECT
					class_id,
					class_name,
					class_description,
					created_at,
					is_deleted,
					(SELECT COUNT(doctor_id)  FROM doctor D WHERE D.is_deleted=0 AND D.class_id_fk = C.class_id) AS class_count
				FROM
					class C
					
					
				WHERE
					( C.is_deleted = 0 ) 
			) AS ALLTBL';
			
			$primaryKey = 'class_id';
			$columns =  array(
				  			  	array( 'db' => 'class_id', 'dt' => 0 ),
			    				array( 'db' => 'class_name', 'dt' => 1 ),
			    				array( 'db' => 'class_description',  'dt' => 2 ),
			    				array( 'db' => 'class_count',  'dt' => 3 ),
			    				array( 'db' => 'created_at',   'dt' => 4 , 'formatter'=> function($d){
									return date('Y-m-d',strtotime($d));
									 } ),
								array( 'db' => 'is_deleted',   'dt' => 5 )
			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, '' )
			);
			exit;
		}

	
		if ($_POST['type']=="get") {

			//$user_id = $_POST['cusid'];

			$res = $db->query("SELECT * FROM class WHERE is_deleted = 0");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['class_id'];
						$result[1] = $row['class_name'];
						$result[2] = $row['class_description'];
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}


		if ($_POST['type']=="get_edit") {

			$id = $_POST['obj_id'];
			$op  = array('is_success'=>false, 'data' => array());

			$res = $db->query('SELECT
									class_id,
									
									class_name,
									class_description
									

									FROM
										class C
										
									WHERE
										( C.is_deleted = 0 AND C.class_id = '.$id.') 

								');
			if ($res) {
				
				
				while ($row = $res->fetch_assoc()) {
				   
					$result['class_id']  			= $row['class_id'];
					$result['class_name']  			= $row['class_name'];
					$result['class_description']  	= $row['class_description'];
						
						
						
					array_push($op['data'],$result);
				}
				$op['is_success'] = true;
				echo json_encode($op);
				exit;
			}else{
				$op['is_success'] = false;
				$op['data'] 	  = $db->error;
				echo json_encode($op);

				exit;
			}
		}

		
		

		if ($_POST['type'] == "update") {

			$id 				= $_POST['obj_id'];
			$name 				=addslashes($_POST["name"]);
			$class_description 	=addslashes($_POST["class_description"]);

			$profile_1	=addslashes($_POST["profile_1"]);
			$profile_2	=addslashes($_POST["profile_2"]);
			$profile_3	=addslashes($_POST["profile_3"]);
			$profile_4	=addslashes($_POST["profile_4"]);
			$profile_5	=addslashes($_POST["profile_5"]);


			$op  = array('is_success'=>false, 'data' => '');

			$res = $db->query("SELECT * FROM class WHERE is_deleted=0 AND class_name = '$name' AND class_id != '$id'");

			if (mysqli_num_rows($res)>0) {
				$op['is_success'] = false;
				$op['data'] 	  = "اسم الفئة مكرر";
				echo json_encode($op);
				exit;
			}

			$reg_date = date("Y-m-d h:i:s", time());


			$lastaction = "Update Class";
			$update_qry = "UPDATE class SET  	class_name = '$name',
												class_description='$class_description',
												last_action='$lastaction',
												updated_at='$reg_date',
												last_action_by='".$_SESSION['user_id']."' 
										  WHERE class_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
					



					$op['is_success'] = true;
					$op['data'] 	 	  = "تم تحديث الفئة بنجاح";
					echo json_encode($op);
					exit;
			}else{
				$op['is_success'] = false;
				$op['data'] 	  	= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}
		}


		if ($_POST['type']=="delete") {

			$id=addslashes($_POST["obj_id"]);
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Delete Class";


			$op  = array('is_success'=>false, 'data' => '');

			$res = $db->query("SELECT * FROM doctor WHERE is_deleted=0 AND class_id_fk = '$id'");
			if (mysqli_num_rows($res)>0) {
			
				$op['is_success'] = false;
				$op['data'] 	  = "لا يمكن حذف هذه الفئة فهناك مواد مرتبطة بها";
				echo json_encode($op);
				exit;
			}

			

			


	      $res = $db->query("UPDATE class SET is_deleted = 1 ,
	      										 deleted_at = '$reg_date',
	      										 last_action='$lastaction',
	      										 updated_at='$reg_date',
	      										 last_action_by='".$_SESSION['user_id']."' 
	      								   WHERE class_id=$id");
	     	if ($res){
	     		$op['is_success'] = true;
				$op['data'] 	  = "تمت عملية الحذف بنجاح";
				echo json_encode($op);
				exit;
	     	}
	      else{
	      		$op['is_success'] = false;
				$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
	     	}
		}

		if ($_POST['type'] == "create") {

            $name=addslashes($_POST["name"]);

			$res = $db->query("SELECT * FROM class WHERE class_name = '$name' AND is_deleted=0");
			
			if (mysqli_num_rows($res)>0) {
				$op['is_success'] = false;
				$op['data'] 	  = "خطأ اسم الفئة مكرر";
				echo json_encode($op);
				exit;
			}
			
			$class_description=addslashes($_POST["class_description"]);

			

			$delete = 0;
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Create New Category";

			$sql ="INSERT INTO class (	class_name,
										 	class_description,
											created_by,
											created_at,
										    updated_at,
											last_action,
											last_action_by)
									VALUES( '$name',
											'$class_description',
											'".$_SESSION['user_id']."',
											'$reg_date',
											'$reg_date',
											'$lastaction',
											'".$_SESSION['user_id']."')";
			$res = $db->query($sql);
			if ($res) {

				

				$op['is_success'] = true;
				$op['data'] 	  = "تم اضافة الفئة بنجاح";
				echo json_encode($op);
				exit;
			}
			else{
				$op['is_success'] = false;
				$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}
						

		}
	}
	else{
		header("Location:../");
		exit;
	}
?>

